float4 vecSkill41;

float4x4 matWorldViewProj;

void DepthVS(		
in float4 vPos		   : POSITION,

out float depth 		: TEXCOORD0,

out float4 Pos	      : POSITION
)
{	
	Pos = mul(vPos,matWorldViewProj);
	depth=Pos.z;
}


float4 DepthPS(	in float depth 		: TEXCOORD0) : COLOR
{
	clip(vecSkill41.x);

	return depth;
}

technique DepthTechnique
{
	pass P0
	{
		VertexShader = compile vs_1_1 DepthVS();
		PixelShader  = compile ps_2_0 DepthPS();
	}
}